RHEL 8.0 and support for removed adapters

RHEL 8.0 and support for removed adapters

In RHEL 8.0, support for a good number of hardware devices has been removed. A list of removed adapters with their device IDs can be found in this RHEL documentation. We provide support for some of those that are still fairly commonly used today. You can check your devices’s IDs (as shown by lspci -nn) against our list of supported devices.

(1) Installation of the OS requires a driver for your hardware. We offer driver update disks (DUD). You can download them from here or the corresponding directory of our mirror sites. Each DUD image contains a driver in the form of a kmod package. The installer is supposed to find the driver. If this does not happen, you need to append the inst.dd option to the boot command line. For details please see Performing an assisted driver update. Also, a tutorial video that demonstrates how to use ELRepo’s DUD is available.

(2) The installation process installs the kmod package for your adapter. Normally, because of the kABI-tracking nature of kmod, there is no need to reinstall the driver upon each new kernel update. However, it was found that the current version of dracut in RHEL 8.0 has a bug and the initramfs image of a new kernel does not contain the kernel module from the installed kmod package. As a result, the new kernel fails to boot. (This is no longer an issue. See the [Update] below.)

As an interim solution for the problem in (2), we provide a dracut package with a patch that fixes the bug here:

 http://elrepo.org/people/akemi/testing/el8/dracut/

Install this version of dracut and then update the kernel. The system now should boot normally.

[UPDATE]  dracut-049-10.git20190115.el8_0.1 released on Oct 29, 2019 has the patch that fixes the issue.

[UPDATE2]  When updating the OS from 8.0 to 8.1, ELRepo’s kmod packages must be updated to their .el8_1 version for the system to boot the 8.1 kernel.

[Note for CentOS-8 users]  If you have switched to the centosplus kernel (kernel-plus) while on 8.0, you may want to uninstall the kmod package and no further action is required when updating to 8.1.

[Note for users who wish to install remotely] There is an excellent blog post written by Arrfab.

Source: http://elrepoproject.blogspot.com/2019/08/rhel-80-and-support-for-removed-adapters.html
RHEL 8.0 and support for removed adapters